#!/bin/sh
echo PATH=$PATH
if [ ! -f bin/multicast-test.sh ]; then
  echo "multicast-test.sh: must be run from the Coherence installation directory."
  exit
fi

if [ -f $JAVA_HOME/bin/java ]; then
  JAVAEXEC=$JAVA_HOME/bin/java
else
  JAVAEXEC=java
fi

COHERENCE_HOME=.
$JAVAEXEC -server -showversion -cp "$COHERENCE_HOME/lib/tangosol.jar" com.tangosol.net.MulticastTest $*